## ros-one-image-cb-detector 0.10.15-4jammy.20251023.0307

=== debian/changelog ===
ros-one-image-cb-detector (0.10.15-4jammy.20251023.0307) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Thu, 23 Oct 2025 03:07:50 +0000

ros-one-image-cb-detector (0.10.15-0jammy) jammy; urgency=high

  * Merge pull request #47 <https://github.com/ros-perception/calibration/issues/47> from PR2-prime/noetic-devel
    Noetic devel
  * fixes for compiler warnings CMP0048 and CMP0046
  * update maintainer for most packages; first try at setup for travis testing (#46 <https://github.com/ros-perception/calibration/issues/46>)
  * fixed unit tests for compile/testing in focal/noetic/opencv4
  * Contributors: Dave Feil-Seifer

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Tue, 11 May 2021 00:00:00 -0000

ros-one-image-cb-detector (0.10.14-0jammy) jammy; urgency=high

  * simplify OpenCV3 dependency
  * Contributors: Vincent Rabaud

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sat, 16 Apr 2016 00:00:00 -0000

ros-one-image-cb-detector (0.10.13-0jammy) jammy; urgency=high



 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sun, 21 Dec 2014 00:00:00 -0000

ros-one-image-cb-detector (0.10.12-0jammy) jammy; urgency=high

  * make code compile with OpenCV3
  * Contributors: Vincent Rabaud

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sun, 21 Sep 2014 00:00:00 -0000

ros-one-image-cb-detector (0.10.11-0jammy) jammy; urgency=high

  * check if input depth image is 32bit
    also fixes #29 <https://github.com/ros-perception/calibration/issues/29> with proper log message
  * Contributors: Vincent Rabaud

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sat, 20 Sep 2014 00:00:00 -0000

ros-one-image-cb-detector (0.10.9-0jammy) jammy; urgency=high

  * remove PCL dependency
  * Contributors: Vincent Rabaud

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Wed, 09 Apr 2014 00:00:00 -0000

ros-one-image-cb-detector (0.10.8-0jammy) jammy; urgency=high

  * no need to depend on opencv2 as we depend on cv_bridge
    This is useful to only have one branch for both hydro and indigo
  * Contributors: Vincent Rabaud

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Fri, 07 Mar 2014 00:00:00 -0000

## ros-one-image-cb-detector 0.10.15-4jammy.20260220.2349

=== debian/changelog ===
ros-one-image-cb-detector (0.10.15-4jammy.20260220.2349) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Fri, 20 Feb 2026 23:49:11 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-image-cb-detector//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-image-cb-detector 0.10.15-4noble.20251023.0305

=== debian/changelog ===
ros-one-image-cb-detector (0.10.15-4noble.20251023.0305) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Thu, 23 Oct 2025 03:05:20 +0000

ros-one-image-cb-detector (0.10.15-0noble) noble; urgency=high

  * Merge pull request #47 <https://github.com/ros-perception/calibration/issues/47> from PR2-prime/noetic-devel
    Noetic devel
  * fixes for compiler warnings CMP0048 and CMP0046
  * update maintainer for most packages; first try at setup for travis testing (#46 <https://github.com/ros-perception/calibration/issues/46>)
  * fixed unit tests for compile/testing in focal/noetic/opencv4
  * Contributors: Dave Feil-Seifer

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Tue, 11 May 2021 00:00:00 -0000

ros-one-image-cb-detector (0.10.14-0noble) noble; urgency=high

  * simplify OpenCV3 dependency
  * Contributors: Vincent Rabaud

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sat, 16 Apr 2016 00:00:00 -0000

ros-one-image-cb-detector (0.10.13-0noble) noble; urgency=high



 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sun, 21 Dec 2014 00:00:00 -0000

ros-one-image-cb-detector (0.10.12-0noble) noble; urgency=high

  * make code compile with OpenCV3
  * Contributors: Vincent Rabaud

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sun, 21 Sep 2014 00:00:00 -0000

ros-one-image-cb-detector (0.10.11-0noble) noble; urgency=high

  * check if input depth image is 32bit
    also fixes #29 <https://github.com/ros-perception/calibration/issues/29> with proper log message
  * Contributors: Vincent Rabaud

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sat, 20 Sep 2014 00:00:00 -0000

ros-one-image-cb-detector (0.10.9-0noble) noble; urgency=high

  * remove PCL dependency
  * Contributors: Vincent Rabaud

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Wed, 09 Apr 2014 00:00:00 -0000

ros-one-image-cb-detector (0.10.8-0noble) noble; urgency=high

  * no need to depend on opencv2 as we depend on cv_bridge
    This is useful to only have one branch for both hydro and indigo
  * Contributors: Vincent Rabaud

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Fri, 07 Mar 2014 00:00:00 -0000

## ros-one-image-cb-detector 0.10.15-4noble.20260221.0011

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(image_cb_detector)

find_package(Boost REQUIRED thread)
find_package(catkin REQUIRED actionlib actionlib_msgs calibration_msgs cv_bridge genmsg geometry_msgs image_transport message_filters roscpp sensor_msgs std_msgs)
find_package(OpenCV REQUIRED)

catkin_python_setup()

# generate the messages
add_action_files(DIRECTORY action FILES Config.action)

add_message_files(DIRECTORY msg
                  FILES ImagePoint.msg
                        ObjectInImage.msg
)

generate_messages(DEPENDENCIES actionlib_msgs geometry_msgs std_msgs)

# define the package
catkin_package(INCLUDE_DIRS include
               LIBRARIES ${PROJECT_NAME}
)

# define some includes
include_directories(include)
include_directories(SYSTEM ${Boost_INCLUDE_DIRS}
                           ${catkin_INCLUDE_DIRS}
                           ${OpenCV_INCLUDE_DIRS}
)
install(DIRECTORY ${PROJECT_SOURCE_DIR}/include/image_cb_detector/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
 
# add the library
add_library(${PROJECT_NAME} src/image_cb_detector.cpp)
target_link_libraries(image_cb_detector ${catkin_LIBRARIES}
                                        ${OpenCV_LIBRARIES}
)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS})
install(TARGETS ${PROJECT_NAME}
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

# add some executables
add_executable(image_cb_detector_action src/image_cb_detector_action.cpp)
target_link_libraries(image_cb_detector_action ${Boost_LIBRARIES}
                                               ${catkin_LIBRARIES}
                                               image_cb_detector
                                               ${OpenCV_LIBRARIES}
)
add_dependencies(image_cb_detector_action ${catkin_EXPORTED_TARGETS})

add_executable(rgbd_cb_detector_action 
src/rgbd_cb_detector_action.cpp
src/depth_to_pointcloud.cpp)
target_link_libraries(rgbd_cb_detector_action ${Boost_LIBRARIES}
                                              ${catkin_LIBRARIES}
                                              image_cb_detector
                                              ${OpenCV_LIBRARIES}
)
add_dependencies(rgbd_cb_detector_action ${catkin_EXPORTED_TARGETS})

add_executable(image_annotator src/image_annotator.cpp)
target_link_libraries(image_annotator image_cb_detector ${OpenCV_LIBRARIES})
target_link_libraries(image_annotator ${Boost_LIBRARIES}
                                      ${catkin_LIBRARIES}
                                      image_cb_detector
                                      ${OpenCV_LIBRARIES}
)
add_dependencies(image_annotator ${catkin_EXPORTED_TARGETS})

install(TARGETS image_cb_detector_action rgbd_cb_detector_action image_annotator
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-one-image-cb-detector (0.10.15-4noble.20260221.0011) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sat, 21 Feb 2026 00:11:39 +0000

=== debian/control ===
Source: ros-one-image-cb-detector
Section: misc
Priority: optional
Maintainer: David Feil-Seifer <david.feilseifer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-actionlib, ros-one-actionlib-msgs, ros-one-calibration-msgs, ros-one-catkin, ros-one-cv-bridge, ros-one-geometry-msgs, ros-one-image-transport, ros-one-message-filters, ros-one-message-generation, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs
Homepage: http://ros.org/wiki/image_cb_detector
Standards-Version: 3.9.2

Package: ros-one-image-cb-detector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-calibration-msgs, ros-one-cv-bridge, ros-one-geometry-msgs, ros-one-image-transport, ros-one-message-filters, ros-one-message-runtime, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs
Description: Provide a node that extracts checkerboard corners from ROS images.
 This package is still experimental and unstable. Expect its APIs to change.
